简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

升级适用于 vCenter Server 的 Element 插件

提供者

对于已注册适用于VMware vCenter Server的NetApp Element 插件的现有vSphere环境、您可以在首次更新包含此插件服务的管理服务包后更新此插件注册。

您可以使用注册实用程序在 vCenter Server 虚拟设备( vCSA )或 Windows 上更新插件注册。您必须在需要使用 vCenter 插件的每个 vCenter Server 上更改此插件的注册。

此升级操作步骤 适用于以下升级情形。

注 管理服务2.22.7包括适用于VMware vCenter Server 5.0的NetApp Element 插件、该插件包含远程插件。如果您使用Element插件、则应升级到5.0版、以符合VMware指令、该指令会删除对本地插件的支持。 "了解更多信息。"。如果不使用此插件、则可以选择进行此升级。
Element vCenter插件5.0或更高版本

从适用于VMware vCenter Server 5.0的Element插件开始、此升级操作步骤 涵盖以下升级情形:

  • 您要升级到适用于vCenter Server 5.0的Element插件。

  • 您要升级到8.0或7.0 HTML5 vSphere Web Client。

    重要 适用于vCenter 5.0及更高版本的Element插件与vCenter Server 6.7和6.5不兼容。
注 从适用于vCenter Server 4.x的Element插件升级到5.0时、由于无法将数据从vCenter实例复制到远程插件、因此已配置此插件的集群将丢失。您必须将集群重新添加到远程插件。这是从本地插件升级到远程插件时的一次性活动。
Element vCenter插件4.10或更早版本

对于适用于vCenter Server 4.10或更早版本的Element插件、此升级操作步骤 适用于以下升级情形:

  • 您要升级到适用于vCenter Server 4.10、4.9、4.8、4.7、4.6的Element插件、 4.5或4.4。

  • 您要升级到 7.0 , 6.7 或 6.5 HTML5 vSphere Web Client 。

  • 此插件与适用于VMware vCenter Server 4.x的VMware vCenter Server 8.0 Element插件不兼容

  • 此插件与适用于VMware vCenter Server 4.6、4.7和4.8的VMware vCenter Server 6.5 for Element插件不兼容。

  • 您要升级到 6.7 Flash vSphere Web Client 。

    重要 此插件与 vSphere Web Client 6.7 U2 for Flash , 6.7 U3 ( Flash 和 HTML5 )和 7.0 U1 兼容。此插件与 HTML5 vSphere Web Client 的 6.7 U2 内部版本 13007421 以及更新 2a (内部版本 13643870 )之前发布的其他 6.7 U2 内部版本不兼容。有关受支持的 vSphere 版本的详细信息,请参见的发行说明 "您的插件版本"
您需要什么? #8217 ;将需要什么
  • * 管理员权限 * :您具有 vCenter 管理员角色权限来安装插件。

  • * vSphere 升级 * :在升级适用于 vCenter Server 的 NetApp Element 插件之前,您已执行任何所需的 vCenter 升级。此操作步骤假定 vCenter 升级已完成。

  • * vCenter Server*:您的vCenter插件4.x或5.x版已注册到vCenter Server。从注册实用程序 (https://<ManagementNodeIP>:9443)、选择*注册状态*、填写必要字段、然后选择*检查状态*以验证vCenter插件是否已注册以及当前安装的版本号。

  • * 管理服务更新 * :您已更新 "管理服务包" 到最新版本。vCenter 插件的更新通过管理服务更新进行分发,这些更新是在 NetApp SolidFire 全闪存存储的主要产品版本之外发布的。

  • 管理节点升级

    • 从Element vCenter插件5.0开始、您正在运行的管理节点已经 "已升级" 升级到12.3.x或更高版本。

    • 对于Element vCenter插件4.4到4.10、您正在运行的管理节点已经 "已升级" 到 11.3 或更高版本。vCenter插件4.4或更高版本要求使用11.3或更高版本的管理节点、该节点采用可提供单个服务的模块化架构。必须打开管理节点的电源,并配置其 IP 地址或 DHCP 地址。

  • * Element存储升级*:

    • 从Element vCenter插件5.0开始、您的集群运行的是NetApp Element 软件12.3.x或更高版本。

    • 对于Element vCenter插件4.10或更早版本、您的集群运行的是NetApp Element 软件11.3或更高版本。

  • * vSphere Web Client* :在开始任何插件升级之前,您已从 vSphere Web Client 中注销。如果您未注销, Web 客户端将无法识别在此过程中对插件所做的更新。

步骤
  1. 在浏览器中输入管理节点的 IP 地址,包括用于注册的 TCP 端口: https://<ManagementNodeIP>:9443 注册实用程序 UI 将打开至该插件的 * 管理 QoSSIOC 服务凭据 * 页面。

    描绘了此插件的注册实用程序 UI
  2. 选择 * vCenter 插件注册 * 。

    • 适用于vCenter Server 5.0的Element插件的vCenter插件注册页面:

      描绘了此插件的注册实用程序 UI
    • 适用于vCenter Server 4.10或更早版本的Element插件的vCenter插件注册页面:

      描绘了此插件的注册实用程序 UI
  3. 在 * 管理 vCenter 插件 * 中,选择 * 更新插件 * 。

  4. 确认或更新以下信息:

    1. 要注册此插件的 vCenter 服务的 IPv4 地址或 FQDN 。

    2. vCenter 管理员用户名。

      注 您输入的用户名和密码凭据必须适用于具有 vCenter 管理员角色特权的用户。
    3. vCenter 管理员密码。

    4. (对于内部服务器/非公开站点)根据适用于vCenter的Element插件版本、此插件JSON文件或插件ZIP的自定义URL:

      1. 从适用于vCenter Server 5.0的Element插件开始、此插件JSON文件的自定义URL。

        注 如果您使用的是HTTP或HTTPS服务器(非公开站点)或已修改JSON文件名或网络设置、则可以选择*自定义URL*自定义URL。有关自定义 URL 的其他配置步骤,请参见适用于 vCenter Server 的 Element 插件文档,了解有关修改内部(非公开站点) HTTP 服务器的 vCenter 属性的信息。
      2. 对于适用于vCenter Server 4.10或更早版本的Element插件、此插件ZIP的自定义URL。

        注 如果您使用的是 HTTP 或 HTTPS 服务器(非公开站点)或修改了 ZIP 文件名或网络设置,则可以选择 * 自定义 URL* 自定义 URL 。有关自定义 URL 的其他配置步骤,请参见适用于 vCenter Server 的 Element 插件文档,了解有关修改内部(非公开站点) HTTP 服务器的 vCenter 属性的信息。
  5. 选择 * 更新 * 。

    注册成功后,注册实用程序 UI 中将显示一个横幅。

  6. 以 vCenter 管理员身份登录到 vSphere Web Client 。如果您已登录到 vSphere Web Client ,则必须先注销,等待两到三分钟,然后重新登录。

    注 此操作将创建一个新数据库并在 vSphere Web Client 中完成安装。
  7. 在 vSphere Web Client 中,请在任务监控器中查找以下已完成的任务,以确保安装已完成: download plug-inDeDeploy plug-in

  8. 验证插件扩展点是否显示在vSphere Web Client的*快捷方式*选项卡和侧面板中。

    • 从适用于vCenter Server 5.0的Element插件开始、将显示NetApp Element 远程插件扩展点:

      描述了成功升级或安装Element插件5.10或更高版本后的插件扩展点
    • 对于适用于vCenter Server 4.10或更早版本的Element插件、将显示NetApp Element 配置和管理扩展点:

      描述了成功升级或安装Element插件4.10或更早版本之后的插件扩展点
    注

    如果不显示 vCenter 插件图标,请参见 "适用于 vCenter Server 的 Element 插件" 有关插件故障排除的文档。

    使用VMware vCenter Server 6.7U1升级到适用于vCenter Server 4.8或更高版本的NetApp Element 插件后、如果NetApp Element 配置的*集群*和* QoSSIOC设置*部分未列出存储集群或显示服务器错误、请参见 "适用于 vCenter Server 的 Element 插件" 有关对这些错误进行故障排除的文档。

  9. 在插件的 * NetApp Element Configuration* 扩展点中的 * 关于 * 选项卡中验证版本更改。

    您应看到以下版本详细信息或较新版本的详细信息:

    NetApp Element Plug-in Version: 5.0
    NetApp Element Plug-in Build Number: 37
注 vCenter 插件包含联机帮助内容。要确保帮助包含最新内容,请在升级插件后清除浏览器缓存。